Loading...
Searching...
No Matches
ON_Matrix Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_matrix.h>`

## Public Member Functions

| ON_Matrix ()
| ON_Matrix (int row_count, int col_count)
| ON_Matrix (int, int, int, int)
| ON_Matrix (const ON_Xform &)
| ON_Matrix (const ON_Matrix &)
| ON_Matrix (int row_count, int col_count, double **M, bool bDestructorFreeM)
virtual | ~ON_Matrix ()
void | EmergencyDestroy ()
double * | operator[] (int)
const double * | operator[] (int) const
ON_Matrix & | operator= (const ON_Matrix &)
ON_Matrix & | operator= (const ON_Xform &)
bool | IsValid () const
int | IsSquare () const
int | RowCount () const
int | ColCount () const
int | MinCount () const
int | MaxCount () const
void | RowScale (int, double)
void | ColScale (int, double)
void | RowOp (int, double, int)
void | ColOp (int, double, int)
bool | Create (int, int)
bool | Create (int, int, int, int)
bool | Create (int row_count, int col_count, double **M, bool bDestructorFreeM)
void | Destroy ()
void | Zero ()
void | SetDiagonal (double)
void | SetDiagonal (const double *)
void | SetDiagonal (int, const double *)
void | SetDiagonal (const ON_SimpleArray< double > &)
bool | Transpose ()
bool | SwapRows (int, int)
bool | SwapCols (int, int)
bool | Invert (double)
bool | Multiply (const ON_Matrix &A, const ON_Matrix &B)
bool | Add (const ON_Matrix &A, const ON_Matrix &B)
bool | Scale (double s)
int | RowReduce (double, double &, double &)
int | RowReduce (double, double *, double *=NULL)
int | RowReduce (double, ON_3dPoint *, double *=NULL)
int | RowReduce (double, int, int, double *, double *=NULL)
bool | BackSolve (double, int, const double *, double *) const
bool | BackSolve (double, int, const ON_3dPoint *, ON_3dPoint *) const
bool | BackSolve (double, int, int, int, const double *, int, double *) const
bool | IsRowOrthoganal () const
bool | IsRowOrthoNormal () const
bool | IsColOrthoganal () const
bool | IsColOrthoNormal () const

## Public Attributes

double ** | m

## Detailed Description

Definition at line 22 of file opennurbs_matrix.h.

## Constructor & Destructor Documentation

## ON_Matrix() [1/6]

ON_Matrix::ON_Matrix | ( |  | ) |

## ON_Matrix() [2/6]

ON_Matrix::ON_Matrix | ( | int | row_count,
|  | int | col_count
| ) |  |

## ON_Matrix() [3/6]

ON_Matrix::ON_Matrix | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) |  |

## ON_Matrix() [4/6]

ON_Matrix::ON_Matrix | ( | const ON_Xform & |  | ) |

## ON_Matrix() [5/6]

ON_Matrix::ON_Matrix | ( | const ON_Matrix & |  | ) |

## ON_Matrix() [6/6]

ON_Matrix::ON_Matrix | ( | int | row_count,
|  | int | col_count,
|  | double ** | M,
|  | bool | bDestructorFreeM
| ) |  |

## ~ON_Matrix()

virtual ON_Matrix::~ON_Matrix | ( |  | ) |

virtual

## Member Function Documentation

## Add()

bool ON_Matrix::Add | ( | const ON_Matrix & | A,
|  | const ON_Matrix & | B
| ) |  |

## BackSolve() [1/3]

bool ON_Matrix::BackSolve | ( | double | ,
|  | int | ,
|  | const double * | ,
|  | double * |
| ) |  | const

## BackSolve() [2/3]

bool ON_Matrix::BackSolve | ( | double | ,
|  | int | ,
|  | const ON_3dPoint * | ,
|  | ON_3dPoint * |
| ) |  | const

## BackSolve() [3/3]

bool ON_Matrix::BackSolve | ( | double | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | const double * | ,
|  | int | ,
|  | double * |
| ) |  | const

## ColCount()

int ON_Matrix::ColCount | ( |  | ) | const

## ColOp()

void ON_Matrix::ColOp | ( | int | ,
|  | double | ,
|  | int |
| ) |  |

## ColScale()

void ON_Matrix::ColScale | ( | int | ,
|  | double |
| ) |  |

## Create() [1/3]

bool ON_Matrix::Create | ( | int | row_count,
|  | int | col_count,
|  | double ** | M,
|  | bool | bDestructorFreeM
| ) |  |

## Create() [2/3]

bool ON_Matrix::Create | ( | int | ,
|  | int |
| ) |  |

## Create() [3/3]

bool ON_Matrix::Create | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) |  |

## Destroy()

void ON_Matrix::Destroy | ( |  | ) |

## EmergencyDestroy()

void ON_Matrix::EmergencyDestroy | ( |  | ) |

## Invert()

bool ON_Matrix::Invert | ( | double |  | ) |

## IsColOrthoganal()

bool ON_Matrix::IsColOrthoganal | ( |  | ) | const

## IsColOrthoNormal()

bool ON_Matrix::IsColOrthoNormal | ( |  | ) | const

## IsRowOrthoganal()

bool ON_Matrix::IsRowOrthoganal | ( |  | ) | const

## IsRowOrthoNormal()

bool ON_Matrix::IsRowOrthoNormal | ( |  | ) | const

## IsSquare()

int ON_Matrix::IsSquare | ( |  | ) | const

## IsValid()

bool ON_Matrix::IsValid | ( |  | ) | const

## MaxCount()

int ON_Matrix::MaxCount | ( |  | ) | const

## MinCount()

int ON_Matrix::MinCount | ( |  | ) | const

## Multiply()

bool ON_Matrix::Multiply | ( | const ON_Matrix & | A,
|  | const ON_Matrix & | B
| ) |  |

## operator=() [1/2]

ON_Matrix & ON_Matrix::operator= | ( | const ON_Matrix & |  | ) |

## operator=() [2/2]

ON_Matrix & ON_Matrix::operator= | ( | const ON_Xform & |  | ) |

## operator[]() [1/2]

double * ON_Matrix::operator[] | ( | int |  | ) |

## operator[]() [2/2]

const double * ON_Matrix::operator[] | ( | int |  | ) | const

## RowCount()

int ON_Matrix::RowCount | ( |  | ) | const

## RowOp()

void ON_Matrix::RowOp | ( | int | ,
|  | double | ,
|  | int |
| ) |  |

## RowReduce() [1/4]

int ON_Matrix::RowReduce | ( | double | ,
|  | double & | ,
|  | double & |
| ) |  |

## RowReduce() [2/4]

int ON_Matrix::RowReduce | ( | double | ,
|  | double * | ,
|  | double * | = `NULL`
| ) |  |

## RowReduce() [3/4]

int ON_Matrix::RowReduce | ( | double | ,
|  | int | ,
|  | int | ,
|  | double * | ,
|  | double * | = `NULL`
| ) |  |

## RowReduce() [4/4]

int ON_Matrix::RowReduce | ( | double | ,
|  | ON_3dPoint * | ,
|  | double * | = `NULL`
| ) |  |

## RowScale()

void ON_Matrix::RowScale | ( | int | ,
|  | double |
| ) |  |

## Scale()

bool ON_Matrix::Scale | ( | double | s | ) |

## SetDiagonal() [1/4]

void ON_Matrix::SetDiagonal | ( | const double * |  | ) |

## SetDiagonal() [2/4]

void ON_Matrix::SetDiagonal | ( | const ON_SimpleArray< double > & |  | ) |

## SetDiagonal() [3/4]

void ON_Matrix::SetDiagonal | ( | double |  | ) |

## SetDiagonal() [4/4]

void ON_Matrix::SetDiagonal | ( | int | ,
|  | const double * |
| ) |  |

## SwapCols()

bool ON_Matrix::SwapCols | ( | int | ,
|  | int |
| ) |  |

## SwapRows()

bool ON_Matrix::SwapRows | ( | int | ,
|  | int |
| ) |  |

## Transpose()

bool ON_Matrix::Transpose | ( |  | ) |

## Zero()

void ON_Matrix::Zero | ( |  | ) |

## Member Data Documentation

## m

double** ON_Matrix::m

Definition at line 378 of file opennurbs_matrix.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_matrix.h